Subject: bug#14603: 24.3.50; Error while bootstrapping Emacs on Windows

From: Dmitry Gutov <[email-masked]>
Date: Thu, 13 Jun 2013 01:53:08 +0400

I'm trying to bootstrap the current Emacs trunk in the environment that
worked fine not too long ago, and I'm getting this error:

...
gcc  -std=gnu99 -DHAVE_CONFIG_H -I. -I/c/Users/gutov/vc/emacs-bzr/trunk/lib -I../src -I/c/Users/gutov/vc/emacs-bzr/trunk/src    -mtune=pentium4   -DUSE_CRT_DLL=1 -I /c/Users/gutov/vc/emacs-bzr/trunk/nt/inc    -g3 -O2 -gdwarf-2 -MT u64.o -MD -MP -MF .deps/u64.Tpo -c -o u64.o u64.c
mv -f .deps/u64.Tpo .deps/u64.Po
gcc  -std=gnu99 -DHAVE_CONFIG_H -I. -I/c/Users/gutov/vc/emacs-bzr/trunk/lib -I../src -I/c/Users/gutov/vc/emacs-bzr/trunk/src    -mtune=pentium4   -DUSE_CRT_DLL=1 -I /c/Users/gutov/vc/emacs-bzr/trunk/nt/inc    -g3 -O2 -gdwarf-2 -MT utimens.o -MD -MP -MF .deps/utimens.Tpo -c -o utimens.o utimens.c
mv -f .deps/utimens.Tpo .deps/utimens.Po
gcc  -std=gnu99 -DHAVE_CONFIG_H -I. -I/c/Users/gutov/vc/emacs-bzr/trunk/lib -I../src -I/c/Users/gutov/vc/emacs-bzr/trunk/src    -mtune=pentium4   -DUSE_CRT_DLL=1 -I /c/Users/gutov/vc/emacs-bzr/trunk/nt/inc    -g3 -O2 -gdwarf-2 -MT dup2.o -MD -MP -MF .deps/dup2.Tpo -c -o dup2.o dup2.c
dup2.c:35:0: warning: "WIN32_LEAN_AND_MEAN" redefined [enabled by default]
In file included from ../src/conf_post.h:32:0,
                 from ../src/config.h:1840,
                 from dup2.c:20:
c:/Users/gutov/vc/emacs-bzr/trunk/nt/inc/ms-w32.h:145:0: note: this is the location of the previous definition
dup2.c:38:26: fatal error: msvc-inval.h: No such file or directory
compilation terminated.
Makefile:1428: recipe for target `dup2.o' failed
make[3]: *** [dup2.o] Error 1
make[3]: Leaving directory `/c/Users/gutov/vc/emacs-bzr/trunk/lib'
Makefile:1312: recipe for target `all' failed
make[2]: *** [all] Error 2
make[2]: Leaving directory `/c/Users/gutov/vc/emacs-bzr/trunk/lib'
Makefile:367: recipe for target `lib' failed
make[1]: *** [lib] Error 2
make[1]: Leaving directory `/c/Users/gutov/vc/emacs-bzr/trunk'
Makefile:1002: recipe for target `bootstrap' failed
make: *** [bootstrap] Error 2